Bug 181678 - HP xw4200 fails to boot with acpi enabled
HP xw4200 fails to boot with acpi enabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
NeedsRetesting
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-02-15 15:40 EST by John Dennis
Modified: 2013-07-02 22:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-12 00:48:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Dennis 2006-02-15 15:40:08 EST
current kernel is 2.6.15-1.1948_FC5smp from rawhide, but this has been seen with
earlier FC5 kernels as well.

During the early boot phase it fails to find the SATA disk and the kernel panics
and aborts. Multiple power cycle and boot might produce a successful boot, but
its random. Booting with pci=noacpi seems to be reliable.

System is an HP xw4200 workstation, with bios 786c3 v00.10, its located in my
cube (system name is chickadee). I tried upgrading the bios but that failed.

FWIW the final boot message is something along the lines of "ATA1 can be slow,
please be patient". I suspect what is happening, this is only a guess, is that
the interrupt routing is hosed and the probes for the disk are failing.
Comment 1 Rahul Sundaram 2006-02-20 06:10:53 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Dave Jones 2006-10-16 14:57:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 John Dennis 2006-10-30 17:35:49 EST
Hi Dave:

The box in question no longer has FC5 installed, but if it helps the exact same
box boots fine with FC6 without having to override acpi. So I can't confirm its
fixed in FC6 but I can confirm its fixed in FC6.
Comment 4 Dave Jones 2006-11-12 00:48:44 EST
should be fixed in 2.6.18-1.2239.fc5 now in updates.

Note You need to log in before you can comment on or make changes to this bug.